WAVEDescriptor (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model

## Interface WAVEDescriptor

- All Superinterfaces:
    AAFFileDescriptor, EssenceDescriptor, InterchangeObject, MediaEntity, MetadataObject
  All Known Implementing Classes:
    WAVEDescriptorImpl

      public interface WAVEDescriptor
      extends AAFFileDescriptor

  Specifies the description of a file of audio essence formatted according to the RIFF Waveform Audio File Format (WAVE).

  For more information, see the description of WAVE on Wikipedia.

  See Also:
    `CodecConstant.WAVE`, `SourcePackage.getEssenceDescriptor()`, `ContainerConstant.RIFFWAVE`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `WAVEDescriptor` | `clone()` Create a cloned copy of this WAVE descriptor.
    `byte[]` | `getWAVESummary()` Returns a copy of the WAVE file information without the associated sample data from the audio essence described by this WAVE descriptor.
    `int` | `getWAVESummaryBufferSize()` Deprecated. Use `getWAVESummary()``.length` instead.
    `void` | `setWAVESummary(byte[] summary)` Sets the copy of WAVE file information without the sample data from the audio essence described by this WAVE descriptor.

    - ### Methods inherited from interface tv.amwa.maj.model.AAFFileDescriptor

      `getCodec, getContainerFormat, getEssenceLength, getLinkedTrackID, getSampleRate, setCodec, setContainerFormat, setEssenceLength, setLinkedTrackID, setSampleRate`

    - ### Methods inherited from interface tv.amwa.maj.model.EssenceDescriptor

      `appendLocator, appendSubDescriptor, clearLocators, countLocators, countSubDescriptors, getLocatorAt, getLocators, getSubDescriptorAt, getSubDescriptors, insertLocatorAt, insertSubDescriptorAt, prependLocator, prependSubDescriptor, removeLocatorAt, removeSubDescriptorAt`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getWAVESummary

          @DataValue
          byte[] getWAVESummary()

      Returns a copy of the WAVE file information without the associated sample data from the audio essence described by this WAVE descriptor.

      Returns:
        Summary property of this WAVE descriptor.

    - #### getWAVESummaryBufferSize

          @Deprecated
           @UInt32
          int getWAVESummaryBufferSize()

      Deprecated. Use `getWAVESummary()``.length` instead.

      Returns the size of the data buffer required for the `getWAVESummary()` method.

      Returns:
        Size of the data buffer required for the `getWAVESummary()` method.

    - #### setWAVESummary

          void setWAVESummary(@DataValue
                              byte[] summary)
                       throws NullPointerException

      Sets the copy of WAVE file information without the sample data from the audio essence described by this WAVE descriptor.

      Parameters:
        `summary` - Summary property for this WAVE descriptor.
      Throws:
        `NullPointerException` - The given summary is `null`.

    - #### clone

          WAVEDescriptor clone()

      Create a cloned copy of this WAVE descriptor.

      Specified by:
        `clone` in interface `AAFFileDescriptor`
      Specified by:
        `clone` in interface `EssenceDescriptor`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `MediaEntity`
      Returns:
        Cloned copy of this WAVE descriptor.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.